php version header

Seneste PHP hos Unoeuro

Sådan opgraderer du din server installation hos Unoeuro til den seneste version af PHP.

BEMÆRK: Det kræver at du ved lidt om, hvad du gør, for du risikerer at lægge hele webstedet ned, hvis du gør noget forkert.

Det er vigtigt at køre med den seneste version af din software, hvis du vil være sikker på at have alle sikkerhedsrettelserne på plads og dermed sikre dit websted bedst muligt.

Som standard vil din installation ikke selv skifte version, så du kører bare videre med forældet PHP og det er ikke en god ide. Jo længere der går, desto større er risikoen for at dit websted bliver hacket.

Husk backup

Altid huske, ikke glemme – at gemme! HUSK BACKUP

ellegaard ID

Inden du går i gang med noget som helst, så skal du sikre dig at du har en nylig og brugbar backup, du kan genskabe fra , hvis noget går galt.

Det er ikke sikkert det er nødvendigt, men der er en risiko – og personligt har jeg brudt mig om at skulle lave det samme stykke arbejde to gange.

Altid seneste PHP

Den nemme løsning er – en gang for alle – at bede serveren om at køre med seneste version af PHP. Men det skal du kun gøre, hvis du generelt sørge for at holde dit websted opdateret med de seneste version af plugins og temaer.

For altid at køre seneste version af PHP på dit websted, så skal linjen herunder indsættes i webhotellets .htaccess:

AddType application/x-httpd-php-latest .php

Hvis du har temaer og plugins, der ikke så ofte opdateres, så kan du rende ind i problemer, hvis ikke de kan kan køre på den seneste version. Så er du bedre stillet ved at gøre det manuelt en gang om året.

Pas på ved opgradering fra PHP5.6

Der skete store ændringer i skiftet fra PHP5.6 til PHP7. Derfor kan du risikere, at der er plugins eller temaer, der ikke fungere i PHP7. Tjek i repository, om der står noget der. Hvis de er opdaterede indenfor det sidste år, så er du højst sandsynligt på sikker grund.

Hvis nogen specifikt har bedt dit websted om at køre version PHP5, så skal du være varsom med at lave om på det. Men hvis du vil gøre det, så sker det (hos Unoeuro) ved at fjerne denne linje fra din WordPress-installations .htaccess

AddType application/x-httpd-php-old .php

Forskellige PHP versioner

Dit websted kan muligvis køre med følgende versioner:

PHP 7.3.xNuværende stabile version – godt!
PHP 7.2.xSeneste stabile version – okay, men ikke så godt Se liste over kendt inkompatibilitet
PHP 7.2 er for øvrigt omkring 13% hurtigere end PHP 7.1 og omkring 250% hurtigere end PHP 5.6!
PHP 7.1.xPå vej ud – end-of-life december 2019, hvorefter der ikke kommer flere opdateringer
PHP 7.0.xForældet – er ikke opdateret siden december 2018!
PHP 5.6.xSeneste version af gamle PHP – kan være nødvendig for kompatibilitet, men bør opgraderes